com.intellectualcrafters.plot.database

## Class DBFunc

- java.lang.Object
- - com.intellectualcrafters.plot.database.DBFunc

-     public class DBFunc
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static AbstractDB` | `dbManager`
    `static java.util.UUID` | `everyone`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DBFunc()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `createAllSettingsAndHelpers(java.util.ArrayList<Plot> plots)`
    `static void` | `createPlot(Plot plot)` Create a plot
    `static void` | `createPlots(java.util.ArrayList<Plot> plots)` Create a plot
    `static void` | `createPlotSettings(int id, Plot plot)` Create plot settings
    `static void` | `createTables(java.lang.String database, boolean add_constraint)` Create tables
    `static void` | `delete(java.lang.String world, Plot plot)` Delete a plot
    `static java.util.ArrayList<PlotComment>` | `getCommenst(java.lang.String world, Plot plot, int tier)`
    `static int` | `getId(java.lang.String world, PlotId id2)` Get a plot id
    `static java.util.LinkedHashMap<java.lang.String,java.util.HashMap<PlotId,Plot>>` | `getPlots()`
    `static double` | `getRatings(Plot plot)`
    `static java.util.HashMap<java.lang.String,java.lang.Object>` | `getSettings(int id)`
    `static void` | `purge(java.lang.String world)`
    `static void` | `purge(java.lang.String world, PlotId id)`
    `static void` | `removeComment(java.lang.String world, Plot plot, PlotComment comment)`
    `static void` | `removeDenied(java.lang.String world, Plot plot, org.bukkit.OfflinePlayer player)`
    `static void` | `removeHelper(java.lang.String world, Plot plot, org.bukkit.OfflinePlayer player)`
    `static void` | `removeTrusted(java.lang.String world, Plot plot, org.bukkit.OfflinePlayer player)`
    `static void` | `setAlias(java.lang.String world, Plot plot, java.lang.String alias)`
    `static void` | `setComment(java.lang.String world, Plot plot, PlotComment comment)`
    `static void` | `setDenied(java.lang.String world, Plot plot, org.bukkit.OfflinePlayer player)`
    `static void` | `setFlags(java.lang.String world, Plot plot, Flag[] flags)`
    `static void` | `setHelper(java.lang.String world, Plot plot, org.bukkit.OfflinePlayer player)`
    `static void` | `setMerged(java.lang.String world, Plot plot, boolean[] merged)`
    `static void` | `setOwner(Plot plot, java.util.UUID uuid)` Set Plot owner
    `static void` | `setPosition(java.lang.String world, Plot plot, java.lang.String position)`
    `static void` | `setTrusted(java.lang.String world, Plot plot, org.bukkit.OfflinePlayer player)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### dbManager

          public static AbstractDB dbManager

    - #### everyone

          public static java.util.UUID everyone

  - ### Constructor Detail

    - #### DBFunc

          public DBFunc()

  - ### Method Detail

    - #### setOwner

          public static void setOwner(Plot plot,
                      java.util.UUID uuid)

      Set Plot owner
      Parameters:
        `plot` -
        `uuid` -

    - #### createAllSettingsAndHelpers

          public static void createAllSettingsAndHelpers(java.util.ArrayList<Plot> plots)

    - #### createPlots

          public static void createPlots(java.util.ArrayList<Plot> plots)

      Create a plot
      Parameters:
        `plots` -

    - #### createPlot

          public static void createPlot(Plot plot)

      Create a plot
      Parameters:
        `plot` -

    - #### createTables

          public static void createTables(java.lang.String database,
                          boolean add_constraint)
                                   throws java.lang.Exception

      Create tables
      Throws:
        `java.lang.Exception`

    - #### delete

          public static void delete(java.lang.String world,
                    Plot plot)

      Delete a plot
      Parameters:
        `plot` -

    - #### createPlotSettings

          public static void createPlotSettings(int id,
                                Plot plot)

      Create plot settings
      Parameters:
        `id` -
        `plot` -

    - #### getId

          public static int getId(java.lang.String world,
                  PlotId id2)

      Get a plot id
      Parameters:
        `plot_id` -
      Returns:

    - #### getPlots

          public static java.util.LinkedHashMap<java.lang.String,java.util.HashMap<PlotId,Plot>> getPlots()

      Returns:

    - #### setMerged

          public static void setMerged(java.lang.String world,
                       Plot plot,
                       boolean[] merged)

    - #### setFlags

          public static void setFlags(java.lang.String world,
                      Plot plot,
                      Flag[] flags)

    - #### setAlias

          public static void setAlias(java.lang.String world,
                      Plot plot,
                      java.lang.String alias)

      Parameters:
        `plot` -
        `alias` -

    - #### purge

          public static void purge(java.lang.String world,
                   PlotId id)

    - #### purge

          public static void purge(java.lang.String world)

    - #### setPosition

          public static void setPosition(java.lang.String world,
                         Plot plot,
                         java.lang.String position)

      Parameters:
        `plot` -
        `position` -

    - #### getSettings

          public static java.util.HashMap<java.lang.String,java.lang.Object> getSettings(int id)

      Parameters:
        `id` -
      Returns:

    - #### removeComment

          public static void removeComment(java.lang.String world,
                           Plot plot,
                           PlotComment comment)

      Parameters:
        `plot` -
        `comment` -

    - #### setComment

          public static void setComment(java.lang.String world,
                        Plot plot,
                        PlotComment comment)

      Parameters:
        `plot` -
        `comment` -

    - #### getCommenst

          public static java.util.ArrayList<PlotComment> getCommenst(java.lang.String world,
                                                     Plot plot,
                                                     int tier)

      Parameters:
        `plot` -

    - #### removeHelper

          public static void removeHelper(java.lang.String world,
                          Plot plot,
                          org.bukkit.OfflinePlayer player)

      Parameters:
        `plot` -
        `player` -

    - #### removeTrusted

          public static void removeTrusted(java.lang.String world,
                           Plot plot,
                           org.bukkit.OfflinePlayer player)

      Parameters:
        `plot` -
        `player` -

    - #### setHelper

          public static void setHelper(java.lang.String world,
                       Plot plot,
                       org.bukkit.OfflinePlayer player)

      Parameters:
        `plot` -
        `player` -

    - #### setTrusted

          public static void setTrusted(java.lang.String world,
                        Plot plot,
                        org.bukkit.OfflinePlayer player)

      Parameters:
        `plot` -
        `player` -

    - #### removeDenied

          public static void removeDenied(java.lang.String world,
                          Plot plot,
                          org.bukkit.OfflinePlayer player)

      Parameters:
        `plot` -
        `player` -

    - #### setDenied

          public static void setDenied(java.lang.String world,
                       Plot plot,
                       org.bukkit.OfflinePlayer player)

      Parameters:
        `plot` -
        `player` -

    - #### getRatings

          public static double getRatings(Plot plot)